Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util
Class StringUtils

    java.lang.Object
      |
      +--org.apache.velocity.util.StringUtils

public class StringUtils
extends java.lang.Object

This class provides some methods for dynamically invoking methods in objects, and some string manipulation methods used by torque. The string methods will soon be moved into the turbine string utilities class.

Version:
  $Id: StringUtils.java,v 1.16 2002/02/20 11:35:11 geirm Exp $
Author:
  Jason van Zyl, Daniel Rall

Field Summary
`private static java.lang.String` | `EOL` Line separator for the OS we are operating on.
`private static int` | `EOL_LENGTH` Length of the line separator.

Constructor Summary
`StringUtils()`

Method Summary
`boolean` | `allEmpty(java.util.List list)` Check to see if all the string objects passed in are empty.
`static java.lang.String` | `capitalizeFirstLetter(java.lang.String data)` Capitalize the first letter but leave the rest as they are.
`static java.lang.String` | `chop(java.lang.String s, int i)` Chop i characters off the end of a string.
`static java.lang.String` | `chop(java.lang.String s, int i, java.lang.String eol)` Chop i characters off the end of a string.
`static java.lang.String` | `collapseNewlines(java.lang.String argStr)` Remove/collapse multiple newline characters.
`static java.lang.String` | `collapseSpaces(java.lang.String argStr)` Remove/collapse multiple spaces.
`java.lang.String` | `concat(java.util.List list)` Concatenates a list of objects as a String.
`static java.lang.String` | `fileContentsToString(java.lang.String file)` Read the contents of a file and place them in a string object.
`static java.lang.String` | `firstLetterCaps(java.lang.String data)` Makes the first letter caps and the rest lowercase.
`static java.lang.String` | `getPackageAsPath(java.lang.String pckge)` Return a package name as a relative path name
`static java.lang.String` | `normalizePath(java.lang.String path)` Return a context-relative path, beginning with a "/", that represents the canonical version of the specified path after ".." and "." elements are resolved out.
`static java.lang.String` | `removeAndHump(java.lang.String data)` 'Camels Hump' replacement of underscores.
`static java.lang.String` | `removeAndHump(java.lang.String data, java.lang.String replaceThis)` 'Camels Hump' replacement.
`static java.lang.String` | `removeUnderScores(java.lang.String data)` Deprecated. Use the org.apache.commons.util.StringUtils class instead. Using its firstLetterCaps() method in conjunction with a StringTokenizer will achieve the same result.
`java.lang.String` | `select(boolean state, java.lang.String trueString, java.lang.String falseString)` If state is true then return the trueString, else return the falseString.
`static java.lang.String[]` | `split(java.lang.String line, java.lang.String delim)` Create a string array from a string separated by delim
`static java.lang.String` | `stackTrace(java.lang.Throwable e)` Returns the output of printStackTrace as a String.
`static java.lang.StringBuffer` | `stringSubstitution(java.lang.String argStr, java.util.Hashtable vars)`
`static java.lang.StringBuffer` | `stringSubstitution(java.lang.String argStr, java.util.Map vars)` Perform a series of substitutions.
`static java.lang.String` | `sub(java.lang.String line, java.lang.String oldString, java.lang.String newString)` Replaces all instances of oldString with newString in line.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### EOL

    private static final java.lang.String EOL

  Line separator for the OS we are operating on.

### EOL_LENGTH

    private static final int EOL_LENGTH

  Length of the line separator.

Constructor Detail

### StringUtils

    public StringUtils()

Method Detail

### concat

    public java.lang.String concat(java.util.List list)

  Concatenates a list of objects as a String.
  Parameters:
    `list` - The list of objects to concatenate.
  Returns:
    A text representation of the concatenated objects.

### getPackageAsPath

    public static java.lang.String getPackageAsPath(java.lang.String pckge)

  Return a package name as a relative path name
  Parameters:
    `String` - package name to convert to a directory.
  Returns:
    String directory path.

### removeUnderScores

    public static java.lang.String removeUnderScores(java.lang.String data)

  Deprecated. Use the org.apache.commons.util.StringUtils class instead. Using its firstLetterCaps() method in conjunction with a StringTokenizer will achieve the same result.

  Remove underscores from a string and replaces first letters with capitals. Other letters are changed to lower case.

  For example `foo_bar` becomes `FooBar` but `foo_barBar` becomes `FooBarbar`.

  Parameters:
    `data` - string to remove underscores from.
  Returns:
    String

### removeAndHump

    public static java.lang.String removeAndHump(java.lang.String data)

  'Camels Hump' replacement of underscores.

  Remove underscores from a string but leave the capitalization of the other letters unchanged.

  For example `foo_barBar` becomes `FooBarBar`.

  Parameters:
    `data` - string to hump
  Returns:
    String

### removeAndHump

    public static java.lang.String removeAndHump(java.lang.String data,
                                                 java.lang.String replaceThis)

  'Camels Hump' replacement.

  Remove one string from another string but leave the capitalization of the other letters unchanged.

  For example, removing "_" from `foo_barBar` becomes `FooBarBar`.

  Parameters:
    `data` - string to hump
    `replaceThis` - string to be replaced
  Returns:
    String

### firstLetterCaps

    public static java.lang.String firstLetterCaps(java.lang.String data)

  Makes the first letter caps and the rest lowercase.

  For example `fooBar` becomes `Foobar`.

  Parameters:
    `data` - capitalize this
  Returns:
    String

### capitalizeFirstLetter

    public static java.lang.String capitalizeFirstLetter(java.lang.String data)

  Capitalize the first letter but leave the rest as they are.

  For example `fooBar` becomes `FooBar`.

  Parameters:
    `data` - capitalize this
  Returns:
    String

### split

    public static java.lang.String[] split(java.lang.String line,
                                           java.lang.String delim)

  Create a string array from a string separated by delim
  Parameters:
    `line` - the line to split
    `delim` - the delimter to split by
  Returns:
    a string array of the split fields

### chop

    public static java.lang.String chop(java.lang.String s,
                                        int i)

  Chop i characters off the end of a string. This method assumes that any EOL characters in String s and the platform EOL will be the same. A 2 character EOL will count as 1 character.
  Parameters:
    `string` - String to chop.
    `i` - Number of characters to chop.
  Returns:
    String with processed answer.

### chop

    public static java.lang.String chop(java.lang.String s,
                                        int i,
                                        java.lang.String eol)

  Chop i characters off the end of a string. A 2 character EOL will count as 1 character.
  Parameters:
    `string` - String to chop.
    `i` - Number of characters to chop.
    `eol` - A String representing the EOL (end of line).
  Returns:
    String with processed answer.

### stringSubstitution

    public static java.lang.StringBuffer stringSubstitution(java.lang.String argStr,
                                                            java.util.Hashtable vars)

### stringSubstitution

    public static java.lang.StringBuffer stringSubstitution(java.lang.String argStr,
                                                            java.util.Map vars)

  Perform a series of substitutions. The substitions are performed by replacing $variable in the target string with the value of provided by the key "variable" in the provided hashtable.
  Parameters:
    `String` - target string
    `Hashtable` - name/value pairs used for substitution
  Returns:
    String target string with replacements.

### fileContentsToString

    public static java.lang.String fileContentsToString(java.lang.String file)

  Read the contents of a file and place them in a string object.
  Parameters:
    `String` - path to file.
  Returns:
    String contents of the file.

### collapseNewlines

    public static java.lang.String collapseNewlines(java.lang.String argStr)

  Remove/collapse multiple newline characters.
  Parameters:
    `String` - string to collapse newlines in.
  Returns:
    String

### collapseSpaces

    public static java.lang.String collapseSpaces(java.lang.String argStr)

  Remove/collapse multiple spaces.
  Parameters:
    `String` - string to remove multiple spaces from.
  Returns:
    String

### sub

    public static final java.lang.String sub(java.lang.String line,
                                             java.lang.String oldString,
                                             java.lang.String newString)

  Replaces all instances of oldString with newString in line. Taken from the Jive forum package.
  Parameters:
    `String` - original string.
    `String` - string in line to replace.
    `String` - replace oldString with this.
  Returns:
    String string with replacements.

### stackTrace

    public static final java.lang.String stackTrace(java.lang.Throwable e)

  Returns the output of printStackTrace as a String.
  Parameters:
    `e` - A Throwable.
  Returns:
    A String.

### normalizePath

    public static final java.lang.String normalizePath(java.lang.String path)

  Return a context-relative path, beginning with a "/", that represents the canonical version of the specified path after ".." and "." elements are resolved out. If the specified path attempts to go outside the boundaries of the current context (i.e. too many ".." path elements are present), return `null` instead.
  Parameters:
    `path` - Path to be normalized
  Returns:
    String normalized path

### select

    public java.lang.String select(boolean state,
                                   java.lang.String trueString,
                                   java.lang.String falseString)

  If state is true then return the trueString, else return the falseString.
  Parameters:
    `boolean` -
    `String` - trueString
    `String` - falseString

### allEmpty

    public boolean allEmpty(java.util.List list)

  Check to see if all the string objects passed in are empty.
  Parameters:
    `list` - A list of `String` objects.
  Returns:
    Whether all strings are empty.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.